Subject: Ubuntu 14.04: xinerama broken
From: Ulrich Sibiller <[email-masked]>
To: [email-masked]
Date: Sat, 25 Apr 2015 10:13:51 +0200

Package: x2goclient, nx-x11-common
Version: 4.0.3.2-0~800~ubuntu14.04.1

As far as I know opening an x2go session from a display that uses xinerama
should do the following on the server side:
- create a xinerama.conf with the xinerama setting on the client side
- set NX_XINERAMA_CONF in the envrionment
- extend the LD_LIBRARY_PATH to point to the nx xinerama lib.

When I open an x2go session to my local machine (the same where the
x2goclient is running) this does not work for several reasons:
1. /usr/lib/nx/X11/Xinerama/libXinerama.so.1 points to the i386 version of
the lib which is not existing on my 64 bit machine. dpkg -S shows that this
is coming from the package nx-x11-common. So obviously this is broken.
2. After fixing issue 1 by linking to the 64bit version it still does not
work. This is because for Ubuntu there is only x2goclient 4.0.3 but you
need 4.0.4 for xinerama... So could someone please update the Ubuntu repo?

The xinerama feature is enabled for the session as well as for x2goclient
(--xinerama).

I am using ubuntu 14.04 with these x2go packages. These are the most
current packages the repos provide and all oft Thema have been freshly
installed yesterday.

libnx-x11 2:3.5.0.29-0~505~ubuntu14.04.1 (does not contain any files)
libnx-x11-6:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xcomposite1:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xdamage1:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xdmcp6:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xext6:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xfixes3:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xinerama1:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xpm4:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xrandr2:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xrender1:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
libnx-xtst6:amd64 2:3.5.0.31-0~605~ubuntu14.04.1
nx-x11-common 2:3.5.0.31-0~605~ubuntu14.04.1
nxagent 2:3.5.0.31-0~605~ubuntu14.04.1
nxproxy 2:3.5.0.31-0~605~ubuntu14.04.1
x2goagent 2:3.5.0.31-0~605~ubuntu14.04.1
x2goclient 4.0.3.2-0~800~ubuntu14.04.1
x2godesktopsharing 3.1.1.2-0~170~ubuntu14.04.1
x2goserver 4.0.1.19-0~1064~ubuntu14.04.1
x2goserver-common 4.1.0.0-0~1257~ubuntu14.04.1
x2goserver-extensions 4.0.1.19-0~1064~ubuntu14.04.1
x2goserver-xsession 4.0.1.19-0~1064~ubuntu14.04.1
x2gothinclient 1.1.0.2-0~469~ubuntu14.04.1
x2gothinclientmanagement 1.1.0.2-0~469~ubuntu14.04.1